# Generated from frenchpress-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name frenchpress

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Frenchpress is just for blogging
License: MIT
URL: https://github.com/vulpino/frenchpress
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Frenchpress is a blogging engine to host your blog on github pages and Just
Blog (TM) without the fuss of octopress.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/frenchpress
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/FRENCHPRESS_VERSION
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/install
%{gem_libdir}
%{gem_instdir}/logo.svg
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/frenchpress.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.1-1
- Initial package
